cd ..
echo "========================"
echo "   GOWiki BuildScript"
echo "========================"

echo "Create Static Ressources (Release)"
go-bindata -verbose -o bindata.go ./web/...

echo "Build Windows/amd64..."
$env:GOOS="windows"; $env:GOARCH="amd64"; go build -ldflags="-s -w -X main.version=0.0.1" -o ./build/gowiki_amd64.exe
echo "Build Windows/x86..."
$env:GOOS="windows"; $env:GOARCH="386"; go build -ldflags="-s -w -X main.version=0.0.1" -o ./build/gowiki_x86.exe
echo "Build Linux/amd64..."
$env:GOOS="linux"; $env:GOARCH="amd64"; go build -ldflags="-s -w -X main.version=0.0.1" -o ./build/gowiki_amd64.bin
echo "Build Linux/x86..."
$env:GOOS="linux"; $env:GOARCH="386"; go build -ldflags="-s -w -X main.version=0.0.1" -o ./build/gowiki_x86.bin
echo "Build Linux/arm..."
$env:GOOS="linux"; $env:GOARCH="arm"; go build -ldflags="-s -w -X main.version=0.0.1" -o ./build/gowiki.arm

echo "UPX - Compress Static Binaries"
..\upx-3.95-win64\upx.exe -9 ./build/gowiki_amd64.exe
..\upx-3.95-win64\upx.exe -9 ./build/gowiki_x86.exe
..\upx-3.95-win64\upx.exe -9 ./build/gowiki_amd64.bin
..\upx-3.95-win64\upx.exe -9 ./build/gowiki_x86.bin
..\upx-3.95-win64\upx.exe -9 ./build/gowiki.arm

echo "Create Static Ressources (Debug)"
go-bindata -verbose -debug -o bindata.go ./web/...
pause